KDE 4.7 PyKDE API Reference

- KDE's Python API

# BrowserArguments Class Reference

`from PyKDE4.kparts import *`

Namespace: KParts

## Detailed Description

BrowserArguments is a set of web-browsing-specific arguments, which allow specifying how a URL should be opened by openUrl() (as a complement to KParts.OpenUrlArguments which are the non-web-specific arguments)

The arguments remain stored in the browser extension after that, and can be used for instance to jump to the xOffset/yOffset position once the url has finished loading.

The parts (with a browser extension) who care about urlargs will use those arguments, others will ignore them.

This can also be used the other way round, when a part asks for a URL to be opened (with openUrlRequest or createNewWindow).

## Attributes
QStringList | docState
QString | frameName
QByteArray | postData
bool | softReload
bool | trustedSource
## Methods
| __init__ (self)
| __init__ (self, KParts.BrowserArguments args)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KParts.BrowserArguments | args
| ) |  |  |

## Attribute Documentation

QStringList docState

QString frameName

QByteArray postData

bool softReload

bool trustedSource